Redmine - Patch #25019

Localization for Ukrainian language - completed
2017-02-06 19:41 - Anton Oslyak

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Translations Estimated time: 0.00 hour
Target version: 3.4.0

Description

We fully transferred the file of localization for ukrainian language.

uk.yml

Redmine version 3.3.2.stable.16321

Ask you to include this file to redmine release.

Associated revisions

Revision 16410 - 2017-03-16 12:08 - Toshi MARUYAMA
Ukrainian translation updated by Anton Oslyak (#25019)

History

#1 - 2017-02-07 01:41 - Toshi MARUYAMA
- Tracker changed from Defect to Patch

- Category changed from 118n to Translations

#2 - 2017-02-10 02:29 - VVD VVD

uk?
Why not ua?...

#3 - 2017-02-10 04:21 - Go MAEDA
VVD VVD wrote:
uk?
Why not ua?...
I think 'uk’ is right ISO 639-1 code for Ukrainian language.

https://en.wikipedia.org/wiki/List_of 1ISO_639-1_codes
https://www.loc.gov/standards/iso639-2/php/code_list.php

#4 - 2017-02-10 05:53 - Mischa The Evil
See this issue on rails-i18n which explains uk vs. ua pretty well and see the leading IANA Language Subtag Registry. As such, uk is fine and in line
with Rails core.

Anton Gunkin Oslyak: can you provide a patch® against current trunk for this? That would make the life of the committer much prettier.. And can you
also translate:

e the wiki toolbar language file: : iclj ipts/j r/lang/j
e the bundled help files: source:/trunk/public/help/uk

Ref.: HowTo_translate Redmine_in_your_own_language.

Thanks for your contribution.

' see patch and How_to_create_patch_series_on_Mercurial_and_Git for instructions

#5 - 2017-02-14 00:52 - Anton Oslyak
https://www.redmine.org/attachments/17665
https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes
https://www.loc.gov/standards/iso639-2/php/code_list.php
https://github.com/svenfuchs/rails-i18n/issues/285
http://www.iana.org/assignments/language-subtag-registry/language-subtag-registry
https://www.redmine.org/users/1933
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/javascripts/jstoolbar/lang/jstoolbar-uk.js
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/help/uk
https://www.redmine.org/projects/redmine/wiki/HowTo_translate_Redmine_in_your_own_language
https://www.redmine.org/projects/redmine/wiki/Patch
https://www.redmine.org/projects/redmine/wiki/How_to_create_patch_series_on_Mercurial_and_Git

- File ukrainian_localization.diff added

- File Ukrainian_localization.zip added

Done!

URL: https://svn.redmine.org/redmine/trunk
revision: 16333

Translated files:

./config/locales/uk.yml
./public/javascripts/jstoolbar/lang/jstoolbar-uk. js
./public/help/uk/wiki_syntax_markdown.html
./public/help/uk/wiki_syntax_textile.html

./public/help/uk/wiki_syntax_detailed_textile.html
./public/help/uk/wiki_syntax_detailed_markdown.html

#6 - 2017-02-14 01:30 - Anton Oslyak

Btw,
Inside Ukraine everywhere:

® national domain .ua

e at car number plates,

e at the documents,

¢ even in currency sign UAH (Ukrainian hryvnia)
Used UA symbols, not UK

But in my international passport.

Country code: UKR
Even Google translator translate UK from English to Ukrainian as Great Britain
So, | think that correct variant is for two chars UA and for three chars UKR
P.S. But | don't think it has really matter.
#7 - 2017-02-14 09:09 - Mischa The Evil
Anton Oslyak wrote:

Done!

URL: https://svn.redmine.org/redmine/trunk
revision: 16333

It seems something went wrong as your patch is reverting r16206, r16207 and r16208. Probably it is not made against current trunk. Can you please
fix this?

Anton Oslyak wrote:

Btw,
Inside Ukraine everywhere:

e national domain .ua

¢ at car number plates,

e at the documents,

¢ even in currency sign UAH (Ukrainian hryvnia)
Used UA symbols, not UK

But in my international passport.
[Country code: UKR]

Even Google translator translate UK from English to Ukrainian as Great Britain
So, | think that correct variant is for two chars UA and for three chars UKR

P.S. But | don't think it has really matter.
https://svn.redmine.org/redmine/trunk
https://translate.google.com/?prev=_t&hl=ru&ie=UTF-8&eotf=1&text=&sl=en&tl=ru#en/uk/UK
https://svn.redmine.org/redmine/trunk
https://www.redmine.org/projects/redmine/repository/svn/revisions/16206
https://www.redmine.org/projects/redmine/repository/svn/revisions/16207
https://www.redmine.org/projects/redmine/repository/svn/revisions/16208
https://translate.google.com/?prev=_t&hl=ru&ie=UTF-8&eotf=1&text=&sl=en&tl=ru#en/uk/UK

Well, the international passport seems to use ISO 639-2 for the country code. UA is the official ISO 3166-1 country code whereas uk is the official ISO

639-1 language code.

#8 - 2017-02-14 13:13 - Anton Oslyak

- File ukrainian_localization_without_uk_yml.diff added
Let's break it's in a few steps

First of all | fixed all files exept uk.yml

Please check it

#9 - 2017-02-14 18:49 - Anton Oslyak

- File ukrainian_localization_without _uk_yml.patch added
#10 - 2017-02-15 10:21 - Mischa The Evil
Anton Oslyak wrote:

e File ukrainian_localization_without_uk_yml.diff added
e File ukrainian_localization_without_uk_yml.patch added

First of all | fixed all files exept uk.yml

Please check it

Done, both (they are actually equal besides the extension) apply cleanly onto current trunk @ r16333. | haven't done (and am unable to do) any

substantial review of these patches as I'm not a speaker of the respective language, but they 'structurally' look good.

#11 - 2017-02-15 12:55 - Anton Oslyak

Yes, files was identical besides the extension

Why when

svn co https://svn.redmine.org/redmine/trunk
| don't see my changes???

And last changes in repository

2017-02-12 16:09:07 +0200

#12 - 2017-03-16 12:06 - Toshi MARUYAMA

- Target version set to 3.4.0

#13 - 2017-03-16 13:02 - Toshi MARUYAMA

- Status changed from New to Closed

Committed in trunk r16410, thanks.

Files

uk.yml 75.8 KB 2017-02-06 Anton Oslyak
Ukrainian_localization.zip 35.5 KB 2017-02-13 Anton Oslyak
ukrainian_localization.diff 166 KB 2017-02-13 Anton Oslyak
ukrainian_localization_without_uk_yml.diff 75.4 KB 2017-02-14 Anton Oslyak
ukrainian_localization_without_uk_yml.patch 75.4 KB 2017-02-14 Anton Oslyak
https://www.redmine.org/projects/redmine/repository/svn/revisions/16333
https://www.redmine.org/projects/redmine/repository/svn/revisions/16410
http://www.tcpdf.org

